## nova 18.0.3

=== debian/changelog ===
nova (2:18.0.3-5) unstable; urgency=medium

  * Update debconf template translations, with thanks to:
    - French: Alban Vidal (Closes: #915285).
    - Dutch: Frans Spiesschaert (Closes: #914535).
    - Portuguese: Traduz PT (Closes: #914427).
    - German: Chris Leick (Closes: #914385).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 14:23:41 +0100

nova (2:18.0.3-4) unstable; urgency=medium

  * d/control: Bump openstack-pkg-tools 89
  * d/control: Add python3-openstackclient dependency

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 14 Nov 2018 13:52:11 +0100

nova (2:18.0.3-3) unstable; urgency=medium

  * d/rules:
      - Create NOVA_CONF variable to reduce a code
      - Add some placement defaults
  * d/nova-common.config.in:
    d/nova-common.postinst.in:
      - Add placement configuration
      - Add placement user creation (Closes: #913478)
  * d/nova-common.templates.in: Add placement questions
  * Update po files

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 11 Nov 2018 11:16:38 +0100

nova (2:18.0.3-2) unstable; urgency=medium

  * d/rules: Change neutron auth_url port default to 5000
  * d/nova-common.config.in
    d/nova-common.postinst.in
    d/nova-common.templates.in
      - Fix glance api_servers config by debconf (Closes: #913126)
      - Fix neutron auth_url point to ksat-public-ip (Closes: #913127)

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 07 Nov 2018 12:43:56 +0100

nova (2:18.0.3-1) unstable; urgency=medium

  * Add debconf config for cinder os_region_name
  * d/rules: make regionOne default value for os_region_name
  * d/copyright: Add me to copyright file
  * Update pofiles
  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 06 Nov 2018 11:35:16 +0100

nova (2:18.0.1-3) unstable; urgency=medium

  [ Michal Arbet ]
  * d/control: Add me to uploaders field
  * d/: Rename debconf config name from placement
        to nova-placement-api

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 16 Oct 2018 14:39:42 +0200

nova (2:18.0.1-2) unstable; urgency=medium

  [ Michal Arbet ]
  * d/nova-api-postinst.in:
    - Add calling nova-common's trigger nova-common-db-sync
    - Add calling "nova-manage cell_v2 map_cell0"
    - Add calling "nova-manage cell_v2 create_cell --name=cell1"
  * d/nova-api.postrm:
    - Redesigned to nova-api.postrm.in
  * d/nova-api.prerm:
    - Add deletion of nova_api database
  * d/nova-common.postinst.in
    - Add function run_db_sync
    - Add function create_cell0_database if configured
      via dbconfig-common
    - Changed postinst to call create_cell0_database
      and after that run_db_sync
    - Add if clause triggered which calls nova-common-db-sync
  * d/nova-common.postrm.in:
    - Add deletion of /etc/nova/placement-policy.json (Closes: #909115)
    - Add deletion of nova_cell0 database if configured
  * d/nova-common.triggers:
    - Add nova-common-db-sync trigger
  * d/nova-placement-api.config.in
    - Add creation of placement db which is currently not required
      in rocky, but now it is possible to do it with dbconfig-common
  * d/nova-placement-api.postrm.in
    - Add purging dbc config
  * d/nova-placement-api.prerm
    - Add deletion of placement database
  * d/rules:
    - Add deletion of __pychache__ in dh_clean
    - Add pkgos-merge-templates of nova-placement-api

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 26 Sep 2018 15:59:53 +0200

nova (2:18.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove Dont_persist_zero_allocation_ratios_in_ResourceTracker.patch applied
    upstream.
  * Add revert-restore-async-keyword.patch.
  * (build-)depends on oslo.db to ensure we have async removal.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Sep 2018 08:58:22 +0200

nova (2:18.0.0-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Add --namespace osprofiler when generating nova.conf.
  * Also generate placement-policy.json and install it in postinst.
  * Add Add_debug_logs_for_when_provider_inventory_changes.patch.
  * Add Log_the_operation_when_updating_generation_in_ProviderTree.patch.
  * Add Avoid-spurious-ComputeNode.save-during-update_available_resource.patch.
  * Add python3-ceph runtime depends. Note: this is for the moment incompatible
    with Sid that doesn't have it.
  * Fixed (build-)depends for this release.
  * Removed patches applied upstream, refresh others:
    - Fix_PatternPropertiesTestCase_for_py3.6.patch
    - fix-async-as-keyword.patch
    - make-nova-reproducible.patch
  * Add Dont_persist_zero_allocation_ratios_in_ResourceTracker.patch.
  * Blacklist all XenAPI and hacking tests, as some are failing. See launchpad
    bugs #1790850 and #1790849.
  * Diabled PatternPropertiesTestCase.test_validate_patternProperties_fails()
    and CreateInstanceTypeTest.test_name_with_non_printable_characters() as it
    fails as well and is unlikely to have an impact in production. See
    launchpad bug https://bugs.launchpad.net/nova/+bug/1790847.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 16:36:22 +0200

nova (2:17.0.3-13) unstable; urgency=medium

  * Fixed init script description.
  * Add fix-async-as-keyword.patch, fix fails to install with Python 3.7
    because of async keyword (Closes: #904587).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jun 2018 10:24:00 +0200

nova (2:17.0.3-12) unstable; urgency=medium

  * Refreshed patches.
  * Add make-nova-reproducible.patch (Closes: #892420).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Jun 2018 09:33:02 +0200

nova (2:17.0.3-11) unstable; urgency=medium

  * Add missin rights in nova-common.sudoers:
    - nova ALL = (root) NOPASSWD: /usr/bin/privsep-helper *

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jun 2018 20:42:53 +0200

nova (2:17.0.3-10) unstable; urgency=medium

  * Removed euca2ools from build-depends.


=== debian/control ===
Source: nova
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 gustavo panizzo <gfa@zumbi.com.ar>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 89~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit (>= 0.13.2),
 bpython,
 genisoimage,
 git,
 ipython,
 libvirt-daemon-system,
 openssh-client,
 procps,
 python3-babel,
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage,
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-dateutil,
 python3-ddt,
 python3-decorator,
 python3-eventlet (>= 0.18.4),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-greenlet,
 python3-hacking (>= 0.10.0),
 python3-ironicclient (>= 2.3.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema,
 python3-keystoneauth1 (>= 3.9.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml,
 python3-memcache,
 python3-microversion-parse (>= 0.2.1),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0),
 python3-mox3 (>= 0.20.0),
 python3-mysqldb,
 python3-netaddr (>= 0.7.13),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:2.9.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 2.5.0),
 python3-os-service-types (>= 1.2.0),
 python3-os-traits (>= 0.4.0),
 python3-os-vif (>= 1.7.0),
 python3-os-win (>= 3.0.0),
 python3-os-xenapi (>= 0.3.3),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.3.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.35.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0),
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-pil,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-pypowervm (>= 1.1.15),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-retrying,
 python3-rfc3986,
 python3-routes,
 python3-six,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.8.2),
 python3-websockify,
 python3-wsgi-intercept (>= 1.4.1),
 python3-zvmcloudconnector,
 sqlite3,
 subunit,
Build-Conflicts:
 python3-cjson,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/nova
Vcs-Git: https://salsa.debian.org/openstack-team/services/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: nova-api
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 iptables,
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-keystone,
Description: OpenStack Compute - compute API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package provides the API frontend.

Package: nova-cells
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: Openstack Compute - cells
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is the Nova cells component.

Package: nova-common
Architecture: all
Depends:
 adduser,
 bridge-utils,
 dbconfig-common,
 iproute2 | iproute,
 python3-amqplib,
 python3-configobj,
 python3-iso8601,
 python3-nova (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pysqlite2 | python3-mysqldb | python3-pygresql,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 adduser,
 conntrack,
 curl,
 dmidecode,
 ebtables,
 fdisk | util-linux (<< 2.29.2-3~),
 gawk,
 iptables,
 kpartx,
 nova-common (= ${binary:Version}),
 nova-compute-kvm | nova-compute-hypervisor,
 open-iscsi,
 parted,
 qemu-utils,
 rsync,
 vlan,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-ironic
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 nova-common,
 nova-compute,
 python3-ironicclient (>= 2.3.0),
 python3-libvirt (>= 1.2.5),
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-baremetal,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-uml,
 nova-compute-xen,
Breaks:
 nova-compute-uml,
Replaces:
 nova-compute-uml,
Description: OpenStack Compute - compute node (Ironic)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using Ironic.

Package: nova-compute-kvm
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 nova-common,
 nova-compute,
 python3-libvirt (>= 1.2.5),
 qemu-block-extra,
 qemu-kvm | kvm,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Recommends:
 guestmount,
Conflicts:
 nova-compute-ironic,
 nova-compute-lxc,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using KVM.

Package: nova-compute-lxc
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 lxc,
 nova-common,
 nova-compute,
 python3-libvirt (>= 1.2.5),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-qemu,
 nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-qemu
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 libvirt-daemon-system,
 nova-common,
 nova-compute,
 python3-libvirt (>= 1.2.5),
 qemu,
 qemu-block-extra,
 ${misc:Depends},
Provides:
 nova-compute-hypervisor,
Conflicts:
 nova-compute-ironic,
 nova-compute-kvm,
 nova-compute-lxc,
 nova-compute-xen,
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using QEmu.

Package: nova-conductor
Architecture: all
Depends:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

NOVA_CONF=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf doc/build/ doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst \
		debian/nova-api.config debian/nova-api.postinst debian/nova-placement-api.config debian/nova-placement-api.postinst debian/nova-common.postrm
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build etc/nova/nova.conf.sample
	rm -rf .testrepository subunit.log instances keys
	rm -rf debian/bla
	rm -f debian/nova-api.templates debian/nova-common.templates
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-placement-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-placement-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm nova-common.postrm
	pkgos-merge-templates nova-api nova endpoint
	pkgos-merge-templates nova-common nova db rabbit ksat
	pkgos-merge-templates nova-placement-api nova-placement-api endpoint db

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_install:
	echo "Please do nothing"

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'nova\.tests\.unit\.(?!(.*virt.libvirt\.test_driver\.LibvirtConnTestCase\.test_spawn_with_config_drive.*|.*test_wsgi\.TestWSGIServerWithSSL.*|.*virt\.xenapi.*|.*test_hacking\.HackingTestCase.*|.*CreateInstanceTypeTest\.test_name_with_non_printable_characters.*|.*PatternPropertiesTestCase\.test_validate_patternProperties_fails.*))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc

	mkdir -p $(CURDIR)/debian/nova-common/etc/nova
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/etc/nova/policy.json \
		--format json \
		--namespace nova

	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf \
		--wrap-width 140 \
		--namespace nova.conf \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.middleware \
		--namespace oslo.concurrency \
		--namespace keystonemiddleware.auth_token \
		--namespace osprofiler

	pkgos-readd-keystone-authtoken-missing-options $(NOVA_CONF) keystone_authtoken nova

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/policy.json \
		--format json \
		--namespace nova

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/placement-policy.json \
		--namespace placement \
		--format json

	# Otherwise, this is set to the build dir
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT pybasedir /usr/lib/python3/dist-packages
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT bindir /usr/bin

	# General needed fixes
	pkgos-fix-config-default $(NOVA_CONF) oslo_concurrency lock_path /var/lock/nova
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT state_path /var/lib/nova

	# Let's use Neutron by default, and not stupid nova-network
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT security_group_api neutron
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT network_api_class nova.network.neutronv2.api.API
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT use_neutron True
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT linuxnet_interface_driver nova.network.linux_net.LinuxOVSInterfaceDriver
	pkgos-fix-config-default $(NOVA_CONF) DEFAULT firewall_driver nova.virt.firewall.NoopFirewallDriver
	pkgos-fix-config-default $(NOVA_CONF) neutron default_floating_pool ext-net

	# Fixup a few defaults for the [neutron] auth
	pkgos-fix-config-default $(NOVA_CONF) neutron auth_type password
	pkgos-fix-config-default $(NOVA_CONF) neutron username admin
	pkgos-fix-config-default $(NOVA_CONF) neutron user_domain_name default
	pkgos-fix-config-default $(NOVA_CONF) neutron project_name admin
	pkgos-fix-config-default $(NOVA_CONF) neutron project_domain_name default
	pkgos-fix-config-default $(NOVA_CONF) neutron service_name neutron
	pkgos-fix-config-default $(NOVA_CONF) neutron auth_url http://127.0.0.1:5000

	pkgos-fix-config-default $(NOVA_CONF) neutron service_metadata_proxy true

	# Convenient default for the SQLite default db
	pkgos-fix-config-default $(NOVA_CONF) database connection sqlite:////var/lib/nova/novadb

	# Let's use SPICE byd default
	pkgos-fix-config-default $(NOVA_CONF) VNC enabled false
	pkgos-fix-config-default $(NOVA_CONF) VNC vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(NOVA_CONF) spice vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(NOVA_CONF) spice server_listen 0.0.0.0
	pkgos-fix-config-default $(NOVA_CONF) spice server_proxyclient_address \$$my_ip
	pkgos-fix-config-default $(NOVA_CONF) spice enabled true

	# Set glance on localhost by default, to allow PoC to work
	pkgos-fix-config-default $(NOVA_CONF) glance api_servers http://localhost:9292

	# Works by default
	pkgos-fix-config-default $(NOVA_CONF) keystone_authtoken auth_protocol http

	# Cinder os_region_name set to regionOne as default value
	pkgos-fix-config-default $(NOVA_CONF) cinder os_region_name regionOne

	# Fixup a few default for the [placement] auth
	pkgos-fix-config-default $(NOVA_CONF) placement region_name regionOne
	pkgos-fix-config-default $(NOVA_CONF) placement project_domain_name default
	pkgos-fix-config-default $(NOVA_CONF) placement project_name service
	pkgos-fix-config-default $(NOVA_CONF) placement auth_type password
	pkgos-fix-config-default $(NOVA_CONF) placement user_domain_name default
	pkgos-fix-config-default $(NOVA_CONF) placement auth_url http://localhost:5000/v3
	pkgos-fix-config-default $(NOVA_CONF) placement username = placement

	rm debian/tmp/usr/bin/nova-api-os-compute
	rm debian/tmp/usr/bin/nova-api-metadata

	dh_install
	dh_missing --fail-missing -Xbin/nova-all -Xbin/nova-network

	install -D -m 0440 $(CURDIR)/debian/nova-common.sudoers $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/usr/share/nova-common/logging.conf
	set -e ; for hypervisor in qemu kvm uml lxc ironic; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	find $(CURDIR)/debian -name .gitignore -delete

## nova 18.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
decorator>=3.4.0 # BSD
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.17.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
Routes>=2.3.1 # MIT
cryptography>=2.1 # BSD/Apache-2.0
WebOb>=1.8.2 # MIT
# NOTE(mriedem): greenlet 0.4.14 does not work with older versions of gcc on
# ppc64le systems, see https://github.com/python-greenlet/greenlet/issues/136.
greenlet>=0.4.10,!=0.4.14 # MIT
PasteDeploy>=1.5.0 # MIT
Paste>=2.0.2 # MIT
PrettyTable<0.8,>=0.7.1 # BSD
sqlalchemy-migrate>=0.11.0 # Apache-2.0
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
paramiko>=2.0.0 # LGPLv2.1+
Babel!=2.4.0,>=2.3.4 # BSD
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
iso8601>=0.1.11 # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
python-cinderclient>=3.3.0 # Apache-2.0
keystoneauth1>=3.9.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
websockify>=0.8.0 # LGPLv3
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.messaging>=6.3.0 # Apache-2.0
oslo.policy>=1.35.0 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
rfc3986>=0.3.1 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
psutil>=3.2.2 # BSD
oslo.versionedobjects>=1.31.2 # Apache-2.0
os-brick>=2.5.0 # Apache-2.0
os-traits>=0.4.0 # Apache-2.0
os-vif!=1.8.0,>=1.7.0 # Apache-2.0
os-win>=3.0.0 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0
os-xenapi>=0.3.3 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
cursive>=0.2.1 # Apache-2.0
pypowervm>=1.1.15 # Apache-2.0
retrying>=1.3.3,!=1.3.0 # Apache-2.0
os-service-types>=1.2.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
python-dateutil>=2.5.3 # BSD
zVMCloudConnector>=1.1.1;sys_platform!='win32'  # Apache 2.0 License
futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # PSF

=== debian/changelog ===
nova (2:18.1.0-6) unstable; urgency=medium

  * Add upstream patch to fix broken request_spec, which in certain cases lead
    to breaking instance migration:
    - Workaround_missing_RequestSpec.instance_group.uuid.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 May 2019 14:56:05 +0200

nova (2:18.1.0-5) unstable; urgency=medium

  * Revert using uwsgi for nova-api: this breaks the metadata server.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Mar 2019 17:24:19 +0100

nova (2:18.1.0-4) unstable; urgency=medium

  * Use uwsgi for nova-api.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2019 15:26:24 +0100

nova (2:18.1.0-3) unstable; urgency=medium

  * Also package the nova-serialproxy startup script/unit.
  * Fix startup of nova-serialproxy.
  * Accept only python3-os-vif (>= 1.11.1).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Feb 2019 09:57:59 +0100

nova (2:18.1.0-2) unstable; urgency=medium

  * Add fix-python3-compatibility-ceph.patch
  * Update debconf template translations, with thanks to:
    - German: Helge Kreutzmann (Closes: #919423)
    - Dutch: Frans Spiesschaert (Closes: #920430)

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 06 Feb 2019 18:04:27 +0100

nova (2:18.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Jan 2019 09:07:03 +0100

=== debian/control ===
--- 
+++ 
@@ -62,7 +62,7 @@
  python3-os-brick (>= 2.5.0),
  python3-os-service-types (>= 1.2.0),
  python3-os-traits (>= 0.4.0),
- python3-os-vif (>= 1.7.0),
+ python3-os-vif (>= 1.11.1),
  python3-os-win (>= 3.0.0),
  python3-os-xenapi (>= 0.3.3),
  python3-oslo.cache (>= 1.26.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/nova/tags .*/(\d[\d\.]+)\.tar\.gz
